class Week < Range
  attr_reader :number, :year
  def initialize(number, options = {})
    @number = number
    @year = options[:year] || Date.current.year
    beginning_of_week = Date.commercial(year, number, 1)
    super(beginning_of_week, beginning_of_week.end_of_week)
  end
end
